﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Documents.Report;
using Infragistics.Documents.Report.Section;
using Infragistics.Win.UltraWinGrid.DocumentExport;

namespace WindowsFormsApplication1
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();
		}

		private void Form1_Load(object sender, EventArgs e)
		{
			List<JOJO> jojos = new List<JOJO>(){ new JOJO(){ Name = "Jojo Jones", Age = 10, DateOfBirth = new DateTime(2009, 03,01)}, new JOJO(){ Name = "Alberto Gonzalez", Age = 15, DateOfBirth = new DateTime(2009, 12, 31)}};
			ultraGrid1.DataSource = jojos;
			ultraGrid2.DataSource = jojos;
		}

		private void button1_Click(object sender, EventArgs e)
		{
			using (UltraGridDocumentExporter ultraGridDocumentExporter1 = new UltraGridDocumentExporter())
			{
				Report report = new Report();
				ISection gridsSection = report.AddSection();
				ultraGridDocumentExporter1.Export(ultraGrid2, gridsSection);
				ultraGridDocumentExporter1.Export(ultraGrid1, gridsSection);
				report.Print(null);
			}
		}

		private void ultraGrid2_InitializePrint(object sender, CancelablePrintEventArgs e)
		{
			e.PrintLayout.Bands[0].CardView = true;
		}

		private void button2_Click(object sender, EventArgs e)
		{
			UltraGridPrintDocument printDocument = new UltraGridPrintDocument();
			printDocument.Grid = ultraGrid2;
			printDocument.Print();

			printDocument.Grid = ultraGrid1;
			printDocument.Print();

			//ultraGrid2.Print();
			//ultraGrid1.Print();
		}
	}

	public class JOJO
	{
		public string Name {get; set;}

		public int Age { get; set; }

		public DateTime DateOfBirth { get; set; }

		public JOJO()
		{
		}
	}
}
